Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 341975 - >=x11-drivers/nvidia-drivers-260* required for >=kernel-2.6.36
Summary: >=x11-drivers/nvidia-drivers-260* required for >=kernel-2.6.36
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: Doug Goldstein
URL:
Whiteboard:
Keywords:
: 342021 342275 342651 345269 345707 349303 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-10-21 09:31 UTC by Christian Ruppert (idl0r)
Modified: 2012-05-29 06:18 UTC (History)
37 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
nv-256.53_lnx-2.6.36.patch (nv-256.53_lnx-2.6.26.patch,4.22 KB, patch)
2010-11-13 10:06 UTC, Attila Fazekas
Details | Diff
nvidia-drivers-256.53.ebuild (nvidia-drivers-256.53.ebuild,15.43 KB, text/plain)
2010-11-13 10:19 UTC, Attila Fazekas
Details
Patch for 96.43.18 driver (NVIDIA_linux_96.43.18-2.6.36.patch,4.61 KB, patch)
2010-11-18 18:57 UTC, Petr Pisar
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2010-10-21 09:31:18 UTC
Latest keyworded drivers doesn't build with >=kernel-2.6.36.
/var/tmp/portage/x11-drivers/nvidia-drivers-256.53/work/kernel/nv.c:426: error: unknown field 'ioctl' specified in initializer
/var/tmp/portage/x11-drivers/nvidia-drivers-256.53/work/kernel/nv.c:426: warning: initialization from incompatible pointer type
make[4]: *** [/var/tmp/portage/x11-drivers/nvidia-drivers-256.53/work/kernel/nv.o] Error 1
make[3]: *** [_module_/var/tmp/portage/x11-drivers/nvidia-drivers-256.53/work/kernel] Error 2

nvidia-drivers-260.19.12 seems to be the latest stable version from nvidia but its still hardmasked as "beta".

Could we fix the mask?
Comment 1 Brant Gurganus 2010-10-22 13:36:50 UTC
*** Bug 342021 has been marked as a duplicate of this bug. ***
Comment 2 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2010-10-23 10:33:54 UTC
*** Bug 342275 has been marked as a duplicate of this bug. ***
Comment 3 Adam Stylinski 2010-10-24 18:41:19 UTC
is 260 still considered beta?  Gentoo portage just released *.36 into ~amd64 so people on testing can't use the driver yet.  I know Ubuntu is shipping with version 260, so I wouldn't think it's still in beta.
Comment 4 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2010-10-25 17:58:42 UTC
*** Bug 342651 has been marked as a duplicate of this bug. ***
Comment 5 Stephan Friedrichs 2010-10-27 15:28:13 UTC
(In reply to comment #3)
> is 260 still considered beta?

There still are serious issues with nvidia-drivers-260.19.*, see bug #336837
Comment 6 Kfir Ozer 2010-10-27 15:34:21 UTC
since new nvidia beta drivers xbmc stopped working.
Comment 7 Richard Connon 2010-11-02 23:28:52 UTC
x11-drivers/nvidia-drivers-260.19.12 is masked as being beta but it's marked stable on the nvidia website.

Does it still ahve major issues?
Comment 8 Jyrki Launonen 2010-11-05 15:16:02 UTC
As it is stated in bug #336837, comment 33 the version 256.53 of nvidia-drivers can be compiled against 2.6.36 (gentoo-sources-)kernel with a patch that was posted to NVidia forums by artem.
So with little tinkering applied for nvidia-drivers-256.53.ebuild, I am able to compile those drivers. (I don't know how they work yet, though.)
The question is, would this patch (and later potential stabilizing of 256.53) be an acceptable alternative for unmasking masked drivers?

Ebuild was modified as per following, shown here only for reference. The .txt extension was removed from the file posted in the forums. I'll post the real deals (ebuild and the patch) if there's any point for doing that.


--- /usr/portage/x11-drivers/nvidia-drivers/nvidia-drivers-256.53.ebuild	2010-08-31 18:57:49.000000000 +0300
+++ /usr/local/portage/x11-drivers/nvidia-drivers/nvidia-drivers-256.53.ebuild	2010-11-05 17:03:37.000000000 +0200
@@ -277,6 +277,10 @@

 		# If greater than 2.6.5 use M= instead of SUBDIR=
 		convert_to_m "${NV_SRC}"/Makefile.kbuild
+
+		if kernel_is ge 2 6 36; then
+			epatch "${FILESDIR}"/NVIDIA-Linux-x86-256.53-linux-2.6.36.patch
+		fi
 	fi
 }
Comment 9 Jochen Schlick 2010-11-06 18:38:16 UTC
(In reply to comment #7)
> x11-drivers/nvidia-drivers-260.19.12 is masked as being beta but it's marked
> stable on the nvidia website.
> 
> Does it still ahve major issues?
> 

opengl stuff is buggy or at least does not work as expected. In my environment
app-emulation/qemu-kvm-0.13.0-r2 stops with a coredump when trying to start a virtual machine.

Program terminated with signal 11, Segmentation fault.
#0  0x0000003ad109483f in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
(gdb) bt
#0  0x0000003ad109483f in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#1  0x0000003ad1094c39 in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#2  0x0000003ad109939b in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#3  0x0000003ad109994c in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#4  0x0000003ac8c06c3a in start_thread () from /lib/libpthread.so.0
#5  0x0000003ac80d1cad in clone () from /lib/libc.so.6


Comment 10 Vadim Dyadkin 2010-11-07 16:58:04 UTC
(In reply to comment #7)
> x11-drivers/nvidia-drivers-260.19.12 is masked as being beta but it's marked
> stable on the nvidia website.
> 
> Does it still ahve major issues?
> 

My laptop sony vaio vpccw2s1r with gf 330m does not start xorg with x11-drivers/nvidia-drivers-260.19.12 (just black screen)
Comment 11 Tolga Dalman 2010-11-13 07:51:43 UTC
New driver version 260.19.21 was just released - might be worth a try ?
Comment 12 Chí-Thanh Christopher Nguyễn gentoo-dev 2010-11-13 09:17:50 UTC
*** Bug 345269 has been marked as a duplicate of this bug. ***
Comment 13 Dominique Michel 2010-11-13 09:43:39 UTC
(In reply to comment #7)
> x11-drivers/nvidia-drivers-260.19.12 is masked as being beta but it's marked
> stable on the nvidia website.
> 
> Does it still ahve major issues?
> 

I get something like "... nvidia.ko    Device not found"

with 'modprobe nvidia' on my ~amd64 system.
Comment 14 Attila Fazekas 2010-11-13 10:06:13 UTC
Created attachment 254193 [details, diff]
nv-256.53_lnx-2.6.36.patch

I had issues with the 260.19.12 and with gvim while using 2.6.36 kernel. (Strange if tracing the gvim process it is working)

I have the 256.53 to compile with 2.6.36 , I have back-ported the config options from the 2.6.36.

Now gvim is working.
I tested OpenArena as well.
Comment 15 Attila Fazekas 2010-11-13 10:19:00 UTC
Created attachment 254195 [details]
nvidia-drivers-256.53.ebuild

A working ebuild with the nv-256.53_lnx-2.6.36.patch.
Comment 16 J.C. Wren 2010-11-13 17:11:23 UTC
I'm happy to report that applying the patch and new ebuild has allowed me to once again use KDE on my workstation.  

Thank you!
Comment 17 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2010-11-16 07:48:26 UTC
*** Bug 345707 has been marked as a duplicate of this bug. ***
Comment 18 Petr Pisar 2010-11-18 18:57:09 UTC
Created attachment 254745 [details, diff]
Patch for 96.43.18 driver

The same issue with x11-drivers/nvidia-drivers-96.43.18. This is patch for 260* version transposed for 96.43.18 version. Tested on x86 and Linux 2.6.36-gentoo-r1.
Comment 19 Mike Limansky 2010-12-15 06:46:29 UTC
Hi all,

  gentoo-sources-2.6.36-r5 is now stable (bug 348509) on x86. Should this bug be a blocker for 2.6.36 stabilization?
Comment 20 tbartdev 2010-12-16 13:10:06 UTC
(In reply to comment #19)
> Hi all,
> 
>   gentoo-sources-2.6.36-r5 is now stable (bug 348509) on x86. Should this bug
> be a blocker for 2.6.36 stabilization?
> 

2.6.35 also has some severe problems. better fix this issue I guess...

Attila, please correct the patch to have the correct name! (36 not 26)
Comment 21 tbartdev 2010-12-16 13:11:28 UTC
This bug is related to http://bugs.gentoo.org/show_bug.cgi?id=348865

virtualbox-modules has a similar issue, see my patch above.
Comment 22 Mike Hammill 2010-12-21 09:29:50 UTC
(In reply to comment #19)
> Hi all,
> 
>   gentoo-sources-2.6.36-r5 is now stable (bug 348509) on x86. Should this bug
> be a blocker for 2.6.36 stabilization?
> 
As someone who just downloaded the stable 2.6.36-r5 and expected stable nvidia-drivers-195.36.31 to work, I would second the notion that something should be done *soon* or alternatively block 2.6.36 as stable.  I'll try the patches supplied above for now.
Comment 23 Jyrki Launonen 2010-12-21 11:00:00 UTC
As I've stated in comment #8 256.53 can be compiled against 3.6.36. Now I have 3.6.36-r5 kernel running smoothly with nvidia-drivers-256.53, but it is NOT using any patches attached here. Instead the patch (mentioned in my comment) that contains 3 very small changes is used.

Additionally it seems, that some of 260.*-series drivers are not hardmasked anymore so the question is, do we want working older (256.53) drivers beside new cutting-edge drivers, or not?
Comment 24 Stephan Friedrichs 2010-12-21 11:04:22 UTC
I have gentoo-sources-2.6.36-r5 and nvidia-drivers-260.19.29 installed (directly from portage, without any patches). They're running without any problems!
Comment 25 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2010-12-21 16:40:00 UTC
(In reply to comment #24)
> I have gentoo-sources-2.6.36-r5 and nvidia-drivers-260.19.29 installed
> (directly from portage, without any patches). They're running without any
> problems!
> 

I agree, 260.19.29 is the only version of the 260 series that works fine for me.
Comment 26 Mike Hammill 2010-12-21 16:42:29 UTC
(In reply to comment #24)
I can second this.  I have the same setup.  I also tested the corresponding nvidia-setting-260.19.29 and it seems to be working as well.  The only minor thing I have found is "nvidia: module license 'NVIDIA' taints kernel" in dmesg. BTW, I'm running a nVidia Corporation G96 [GeForce 9400 GT] (rev a1).
Comment 27 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2010-12-21 16:50:35 UTC
*** Bug 349303 has been marked as a duplicate of this bug. ***
Comment 28 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2010-12-24 15:38:59 UTC
*** Bug 349616 has been marked as a duplicate of this bug. ***
Comment 29 Samuli Suominen gentoo-dev 2011-01-02 21:03:42 UTC
This should be solved by bug 348186.